Scilab Function
Last update : 16/06/2004

xrpoly - dessine un polygone régulier

### Calling Sequence

  `xrpoly(orig,n,r,[theta])`

### Parameters

- `orig` : vecteur de taille 2.
- `n` : entier, nombre de faces.
- `r` : scalaire.
- `theta` : réel, angle en radians (0 par défaut).

### Description

`xrpoly` dessine un polygone régulier à `n` faces contenu dans le disque de diamètre `r` et avec l'origine au point `orig`. `theta` spécifie un angle de rotation en radians. Cette fonction utilise l'échelle graphique courante.

### Examples

    plot2d(0,0,-1,"012"," ",[0,0,10,10])
    xrpoly([5,5],5,5)

### See Also

`xrect`,